Debian Bug report logs - #608070
os.waitpid does not take keyword args in Lib/SocketServer.py

version graph

Package: python2.6; Maintainer for python2.6 is Matthias Klose <doko@debian.org>; Source for python2.6 is src:python2.6.

Reported by: Vladislav Kurz <vladislav.kurz@webstep.net>

Date: Fri, 3 Dec 2010 13:06:02 UTC

Severity: important

Tags: fixed-upstream, patch, pending, sid, squeeze, upstream, wheezy

Fixed in version python2.6/2.6.6-8

Done: Julien Cristau <jcristau@debian.org>

Bug is archived. No further changes may be made.

Forwarded to http://bugs.python.org/issue5814

Toggle useless messages

View this report as an mbox folder, status mbox, maintainer mbox


Report forwarded to debian-bugs-dist@lists.debian.org, Jason Thomas <jason@debian.org>:
Bug#605784; Package nagios-statd-server. (Fri, 03 Dec 2010 13:06:05 GMT) Full text and rfc822 format available.

Acknowledgement sent to Vladislav Kurz <vladislav.kurz@webstep.net>:
New Bug report received and forwarded. Copy sent to Jason Thomas <jason@debian.org>. (Fri, 03 Dec 2010 13:06:05 GMT) Full text and rfc822 format available.

Message #5 received at submit@bugs.debian.org (full text, mbox):

From: Vladislav Kurz <vladislav.kurz@webstep.net>
To: Debian Bug Tracking System <submit@bugs.debian.org>
Subject: nagios-statd-server: stops responding and 100% cpu usage
Date: Fri, 03 Dec 2010 13:39:12 +0100
Package: nagios-statd-server
Version: 3.12-1
Severity: grave
Justification: renders package unusable

Hello,

after upgrade to squeeze, nagios-statd stopped working.  Usually works
fine for one hour and after that nagios reports connection timeout and
top indicates that nagios-statd is using 100% of CPU.  (Fortunately uses
only one core on muli-core CPU.) I found a recommendation on
ubutu bugzilla to use python2.4. See here:
https://bugs.launchpad.net/ubuntu/+source/nagios-statd/+bug/463795

I confirm, that it works fine with python2.4. After I have
edited /usr/sbin/nagios-statd to use /usr/bin/python2.4, it
works for two hours now. I'll see if it keeps running after
weekend and then I might try python2.5, because 2.4 is not
any more in squeeze.

Regards
Vladislav Kurz


-- System Information:
Debian Release: squeeze/sid
  APT prefers testing
  APT policy: (500, 'testing')
Architecture: i386 (i686)

Kernel: Linux 2.6.32-5-686-bigmem (SMP w/8 CPU cores)
Locale: LANG=C, LC_CTYPE=C (charmap=ANSI_X3.4-1968)
Shell: /bin/sh linked to /bin/dash

Versions of packages nagios-statd-server depends on:
ii  python                  2.6.6-3+squeeze1 interactive high-level object-orie

nagios-statd-server recommends no packages.

nagios-statd-server suggests no packages.

-- no debconf information




Added tag(s) sid and squeeze. Request was from Gerfried Fuchs <rhonda@debian.at> to control@bugs.debian.org. (Thu, 09 Dec 2010 21:03:10 GMT) Full text and rfc822 format available.

Information forwarded to debian-bugs-dist@lists.debian.org, Jason Thomas <jason@debian.org>:
Bug#605784; Package nagios-statd-server. (Fri, 10 Dec 2010 16:36:09 GMT) Full text and rfc822 format available.

Acknowledgement sent to Vladislav Kurz <vladislav.kurz@webstep.net>:
Extra info received and forwarded to list. Copy sent to Jason Thomas <jason@debian.org>. (Fri, 10 Dec 2010 16:36:09 GMT) Full text and rfc822 format available.

Message #12 received at 605784@bugs.debian.org (full text, mbox):

From: Vladislav Kurz <vladislav.kurz@webstep.net>
To: Debian Bug Tracking System <605784@bugs.debian.org>
Subject: nagios-statd-server: test with python2.5 sucessful
Date: Fri, 10 Dec 2010 17:13:40 +0100
Package: nagios-statd-server
Version: 3.12-1
Followup-For: Bug #605784


Hello,

i have tested nagios-statd witch python2.4 and python2.5.
With both of them it works fine, for couple of days without problem.
When running with python2.6, problems arise cca 1 hour after start.

Suggested fix:

Change the first line of /usr/sbin/nagios-statd to:
#!/usr/bin/python2.5

and change dependency to pyhton2.5

regards
Vladislav Kurz

-- System Information:
Debian Release: squeeze/sid
  APT prefers testing
  APT policy: (500, 'testing')
Architecture: i386 (i686)

Kernel: Linux 2.6.32-5-686-bigmem (SMP w/8 CPU cores)
Locale: LANG=C, LC_CTYPE=C (charmap=ANSI_X3.4-1968)
Shell: /bin/sh linked to /bin/dash

Versions of packages nagios-statd-server depends on:
ii  python                  2.6.6-3+squeeze1 interactive high-level object-orie

nagios-statd-server recommends no packages.

nagios-statd-server suggests no packages.

-- no debconf information




Information forwarded to debian-bugs-dist@lists.debian.org:
Bug#605784; Package nagios-statd-server. (Fri, 10 Dec 2010 21:57:03 GMT) Full text and rfc822 format available.

Acknowledgement sent to Jason Thomas <jason@debian.org>:
Extra info received and forwarded to list. (Fri, 10 Dec 2010 21:57:03 GMT) Full text and rfc822 format available.

Message #17 received at 605784@bugs.debian.org (full text, mbox):

From: Jason Thomas <jason@debian.org>
To: Vladislav Kurz <vladislav.kurz@webstep.net>, 605784@bugs.debian.org
Subject: Re: Bug#605784: nagios-statd-server: test with python2.5 sucessful
Date: Sat, 11 Dec 2010 08:54:03 +1100
[Message part 1 (text/plain, inline)]
Hi Vladislav,

Thanks for your debugging work. I'll upload a new package soon, with your
recommendations.

Jason

On Sat, Dec 11, 2010 at 3:13 AM, Vladislav Kurz
<vladislav.kurz@webstep.net>wrote:

> Package: nagios-statd-server
> Version: 3.12-1
> Followup-For: Bug #605784
>
>
> Hello,
>
> i have tested nagios-statd witch python2.4 and python2.5.
> With both of them it works fine, for couple of days without problem.
> When running with python2.6, problems arise cca 1 hour after start.
> Suggested fix:
>
> Change the first line of /usr/sbin/nagios-statd to:
> #!/usr/bin/python2.5
>
> and change dependency to pyhton2.5
>
> regards
> Vladislav Kurz
>
> -- System Information:
> Debian Release: squeeze/sid
>  APT prefers testing
>  APT policy: (500, 'testing')
> Architecture: i386 (i686)
>
> Kernel: Linux 2.6.32-5-686-bigmem (SMP w/8 CPU cores)
> Locale: LANG=C, LC_CTYPE=C (charmap=ANSI_X3.4-1968)
> Shell: /bin/sh linked to /bin/dash
>
> Versions of packages nagios-statd-server depends on:
> ii  python                  2.6.6-3+squeeze1 interactive high-level
> object-orie
>
> nagios-statd-server recommends no packages.
>
> nagios-statd-server suggests no packages.
>
> -- no debconf information
>
>
>
[Message part 2 (text/html, inline)]

Information forwarded to debian-bugs-dist@lists.debian.org, Jason Thomas <jason@debian.org>:
Bug#605784; Package nagios-statd-server. (Sun, 26 Dec 2010 16:39:02 GMT) Full text and rfc822 format available.

Acknowledgement sent to Jonathan Wiltshire <jmw@debian.org>:
Extra info received and forwarded to list. Copy sent to Jason Thomas <jason@debian.org>. (Sun, 26 Dec 2010 16:39:03 GMT) Full text and rfc822 format available.

Message #22 received at 605784@bugs.debian.org (full text, mbox):

From: Jonathan Wiltshire <jmw@debian.org>
To: 605784@bugs.debian.org
Subject: nagios-statd: diff for NMU version 3.12-1.1
Date: Sun, 26 Dec 2010 16:37:18 +0000
[Message part 1 (text/plain, inline)]
tags 605784 + patch
tags 605784 + pending
thanks

Dear maintainer,

I've prepared an NMU for nagios-statd (versioned as 3.12-1.1) and
uploaded it to DELAYED/2. Please feel free to tell me if I
should delay it longer.

Regards.

-- 
Jonathan Wiltshire                                      jmw@debian.org
Debian Developer                         http://people.debian.org/~jmw

4096R: 0xD3524C51 / 0A55 B7C5 1223 3942 86EC  74C3 5394 479D D352 4C51
[nagios-statd-3.12-1.1-nmu.diff (text/x-diff, attachment)]
[signature.asc (application/pgp-signature, inline)]

Added tag(s) patch. Request was from Jonathan Wiltshire <jmw@debian.org> to control@bugs.debian.org. (Sun, 26 Dec 2010 16:39:04 GMT) Full text and rfc822 format available.

Added tag(s) pending. Request was from Jonathan Wiltshire <jmw@debian.org> to control@bugs.debian.org. (Sun, 26 Dec 2010 16:39:05 GMT) Full text and rfc822 format available.

Set Bug forwarded-to-address to 'http://svn.python.org/view?view=rev&revision=73887'. Request was from Micah Anderson <micah@debian.org> to control@bugs.debian.org. (Sun, 26 Dec 2010 22:09:03 GMT) Full text and rfc822 format available.

Changed Bug forwarded-to-address to 'http://svn.python.org/view?view=rev' from 'http://svn.python.org/view?view=rev&revision=73887' Request was from Micah Anderson <micah@debian.org> to control@bugs.debian.org. (Sun, 26 Dec 2010 22:09:05 GMT) Full text and rfc822 format available.

Bug 605784 cloned as bug 608070. Request was from Jonathan Wiltshire <jmw@debian.org> to control@bugs.debian.org. (Sun, 26 Dec 2010 22:54:03 GMT) Full text and rfc822 format available.

Bug reassigned from package 'nagios-statd-server' to 'python2.6'. Request was from Jonathan Wiltshire <jmw@debian.org> to control@bugs.debian.org. (Sun, 26 Dec 2010 22:54:06 GMT) Full text and rfc822 format available.

Bug No longer marked as found in versions nagios-statd/3.12-1. Request was from Jonathan Wiltshire <jmw@debian.org> to control@bugs.debian.org. (Sun, 26 Dec 2010 22:54:07 GMT) Full text and rfc822 format available.

Changed Bug title to 'os.waitpid does not take keyword args in Lib/SocketServer.py' from 'nagios-statd-server: stops responding and 100% cpu usage' Request was from Jonathan Wiltshire <jmw@debian.org> to control@bugs.debian.org. (Sun, 26 Dec 2010 22:54:07 GMT) Full text and rfc822 format available.

Changed Bug forwarded-to-address to 'http://bugs.python.org/issue5814' from 'http://svn.python.org/view?view=rev' Request was from Jonathan Wiltshire <jmw@debian.org> to control@bugs.debian.org. (Sun, 26 Dec 2010 22:54:08 GMT) Full text and rfc822 format available.

Added tag(s) upstream and fixed-upstream. Request was from Jonathan Wiltshire <jmw@debian.org> to control@bugs.debian.org. (Sun, 26 Dec 2010 22:54:09 GMT) Full text and rfc822 format available.

Severity set to 'important' from 'grave' Request was from Jonathan Wiltshire <jmw@debian.org> to control@bugs.debian.org. (Sun, 26 Dec 2010 22:54:10 GMT) Full text and rfc822 format available.

Added tag(s) wheezy. Request was from Kurt Roeckx <kurt@roeckx.be> to control@bugs.debian.org. (Wed, 16 Feb 2011 19:04:59 GMT) Full text and rfc822 format available.

Added indication that bug 608070 blocks 620353 Request was from Jakub Wilk <jwilk@debian.org> to control@bugs.debian.org. (Fri, 01 Apr 2011 10:54:32 GMT) Full text and rfc822 format available.

Marked as fixed in versions python2.6/2.6.6-8. Request was from Julien Cristau <jcristau@debian.org> to control@bugs.debian.org. (Sun, 17 Jun 2012 11:57:05 GMT) Full text and rfc822 format available.

Marked Bug as done Request was from Julien Cristau <jcristau@debian.org> to control@bugs.debian.org. (Sun, 17 Jun 2012 11:57:06 GMT) Full text and rfc822 format available.

Notification sent to Vladislav Kurz <vladislav.kurz@webstep.net>:
Bug acknowledged by developer. (Sun, 17 Jun 2012 11:57:07 GMT) Full text and rfc822 format available.

Bug archived. Request was from Debbugs Internal Request <owner@bugs.debian.org> to internal_control@bugs.debian.org. (Mon, 16 Jul 2012 07:30:58 GMT) Full text and rfc822 format available.

Send a report that this bug log contains spam.


Debian bug tracking system administrator <owner@bugs.debian.org>. Last modified: Wed Apr 16 08:04:54 2014; Machine Name: buxtehude.debian.org

Debian Bug tracking system
Copyright (C) 1999 Darren O. Benham, 1997,2003 nCipher Corporation Ltd, 1994-97 Ian Jackson.